FROM tensorflow/tensorflow:latest-jupyter
#FROM tensorflow/tensorflow:latest-gpu-jupyter

RUN apt-get update && apt-get -y install \
             curl \
             wget \
             unzip
             
# set timezone to Europ/Berlin
RUN ln -fs /usr/share/zoneinfo/Europe/Berlin /etc/localtime
RUN apt-get install -y tzdata
RUN dpkg-reconfigure -f noninteractive tzdata

RUN pip install --upgrade pip
RUN pip install jupyterlab tensorflow tensorflow-datasets ipywidgets matplotlib
RUN pip install cython scikit-image keras imutils

RUN apt-get install -y python3-opencv
RUN pip install opencv-python
RUN pip install pytest
RUN pip install bokeh jupyter_bokeh
RUN pip install sklearn
RUN pip install tabulate





